Page MenuHomePhabricator

Decide on cxsave ping limiter limits and monitor
Closed, ResolvedPublic

Description

Limit of 10 saves per 30 seconds was used in https://gerrit.wikimedia.org/r/#/c/298523/. We should evaluate whether it is good or should be changed.

Event Timeline

Amire80 triaged this task as Normal priority.Jul 22 2016, 12:22 PM
Amire80 added a project: WorkType-Maintenance.
Amire80 edited projects, added WorkType-NewFunctionality; removed WorkType-Maintenance.

For past 7 days we have had over 100k hits to this limiter: Logstash

Many at 10, some up to 20, few up to peaks of 500.

Based on chat, we think these limits are reasonable and rather than increasing them, we should change the code so that it happens less frequently.

Change 302879 had a related patch set uploaded (by Nikerabbit):
ext.cx.translation.storage: increase debounce delay to 3s

https://gerrit.wikimedia.org/r/302879

Change 302879 merged by Nikerabbit:
ext.cx.translation.storage: increase debounce delay to 3s

https://gerrit.wikimedia.org/r/302879

Nikerabbit renamed this task from Decide on cxsave ping limiter limits to Decide on cxsave ping limiter limits and monitor.Aug 4 2016, 12:18 PM
Nikerabbit moved this task from In Review to Blocked on the Language-Q1-2016-17 Sprint 3 board.

I am re-purposing this task to monitor that the changes we do makes it so that only in exceptional cases the current limits will be hit.

Now waiting for the mentioned patch to be deployed and be live for multiple days to observe change if any.

The patch doesn't seem to have helped much. We still have lots of logs for reaching the limits.

Change 304804 had a related patch set uploaded (by Nikerabbit):
TranslationStorage: improvements to save throttling

https://gerrit.wikimedia.org/r/304804

Nikerabbit moved this task from Blocked to Done on the Language-Q1-2016-17 Sprint 3 board.

Above patch moved to the audit task. I am considering these limits okay.

Arrbee closed this task as Resolved.Aug 16 2016, 6:51 AM